/* cor.c  - Co1 order
(formerly known as cor2.c)

PEHolmes and RAWilson
*/
#include "mop3.h"

/* argv1 is the vector, argv2 is the onefile co1elt */

int main(int argc,  char **argv)
{
    FILE *f1; 
     unsigned char vect[41808], vect2[41808], vect3[41808];
    long j,i;

    init();
    malco1(&A);
    rdco11(A, argv[1]);
    rdvec("vect",vect);
    MKGRS4096A(A); 
    cpvec(vect,vect2,0,41808);
    for(j=1;j<120;j++) 
    { 
        printf("%ld ",j);
        fflush(stdout);
        VMco1(vect2, vect3, A);
        cpvec(vect3,vect2,0,41808); 
        if(veccomp(vect2,vect)==0)  
        { 
            printf("\norder is %ld\n", j); 
            exit(0); 
        }   
    } 
    printf("failed\n");
    exit(1);
}
