/* vT.c  multiply vector by T or T inverse

Version 1.2 - 07.03.02

P.E.Holmes

commented by R.A.Wilson

*/
#include "mop3.h"

/* argv1 is the vector, argv2 is the onefile Telt , argv3 the output vector*/

int main(int argc,  char **argv)
{
    FILE *f1; 
    long j,i;

    init();
    if(argc!=4)
    {
        printf("Syntax: vT vec1 T vec2\n");
        exit(1);
    }
    if(!strcmp(argv[1],argv[3])) {
	printf("Warning: identical filenames given: %s\n", argv[1]);
    }
    rdvec(argv[1],vec0);
    rdT1(argv[2]);
    cpvec(vec0,vec2,0,41808);
    NEWPAD(vec2,vec3);
    VMT(vec3, vec2);
    OLDPAD(vec2,vec3);
    wtvec(argv[3],vec3);
}
